import {BrowserRouter as Router, Route, Link, Switch, Redirect} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import {actionCatalogCard} from "./index"
import { useState } from 'react';
import {Provider, connect} from 'react-redux';
import {createStore, combineReducers, applyMiddleware} from 'redux';
import thunk from 'redux-thunk';
import store from "../reducers"
import Catalog from "./catalog"

  
const MainImg = ({className = "MainImg" }) => {
    return (
        <div className = {className}>
            <aside></aside>
            <content>
                <Switch>
                    <Route path = "/" component = {Main} exact/>
                    <Route path = "/catalog" component={Catalog}/>
                    <Route path="/about" component = {About}/>
                    <Route path = "/post" component = {Post}/>
                    <Route path = "/contacts" component = {Contacts}/>
                    <Route component = { NotFound } exact/>
                </Switch>
            </content>
        </div>
    )
  }
  
  const Main = () => <div>Я тут кароче самый главный страниц</div>
  const About = () => <div>Мы крутой магазин, бла-бла</div>
  const NotFound = () => <div>Да пошел ты!</div>
  
  const Post = () => <div className = "post">Точно не знаю зачем это, возможно потом уберу. Но в некоторых магазинах есть такое</div>
  const Contacts = () => <div className = "contacts">Тут будет адрес, номер телефона и соцсети</div>
  

export default MainImg;